List zones
curl --request GET \
--url https://api.truecold.io/zone/site/{site_id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.truecold.io/zone/site/{site_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.truecold.io/zone/site/{site_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"code": "<string>",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"site_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"soft_deleted": "2023-11-07T05:31:56Z",
"soft_deleted_by": "<string>"
}
]{
"message": "An error occurred",
"code": "ERROR_CODE",
"details": {}
}{
"message": "An error occurred",
"code": "ERROR_CODE",
"details": {}
}Zones
List zones
GET
/
zone
/
site
/
{site_id}
List zones
Authorizations
API key for authentication. Contact your administrator to get an API key.
Path Parameters
Site ID
Query Parameters
Search term to filter results
Page number for pagination
Required range:
x >= 1Number of items per page
Required range:
1 <= x <= 100Response
Successfully retrieved zones
Unique identifier
Creation timestamp
Last update timestamp
code code
Account ID
Site ID
Soft deletion timestamp
User who soft deleted the record
⌘I
